#!/usr/bin/sh

# called by dracut
check() {
	require_binaries wpa_supplicant || return 1

	return 255
}

# called by dracut
depends() {
	echo dbus
	return 0
}

# called by dracut
installkernel() {
	return 0
}

# called by dracut
install() {
	inst wpa_supplicant
	inst /etc/dbus-1/system.d/wpa_supplicant.conf
	inst_simple "$moddir"/wpa-initrd.service "$systemdsystemunitdir"/wpa-initrd.service
	$SYSTEMCTL -q --root "$initdir" enable wpa-initrd.service

	if dracut_module_included "network-manager"; then
		local _nm_version
		_nm_version=${NM_VERSION:-$(NetworkManager --version)}

		inst_libdir_dir "NetworkManager/$_nm_version"
		inst_libdir_file "NetworkManager/$_nm_version/libnm-device-plugin-wifi.so"
	fi
}
